--- title: "putScalingPolicy" slug: "compute-vautoscaling-autoscalinggroup-putscalingpolicy" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-putscalingpolicy" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # putScalingPolicy Available in VPC Create or edit a scaling policy for Auto Scaling Group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/putScalingPolicy | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `policyNo` | String | Conditional | Policy number - See [getAutoScalingPolicyList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalingpolicylist). - Not entered during policy creation. - Either `policyNo` or `policyName` is required when editing a policy. | | `policyName` | String | Conditional | Policy name - Create a policy on new name entry. - Enter 1-255 characters using a combination of lowercase English letters, numbers, and special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Edit the policy when entering an existing name. - Policy name: See [getAutoScalingPolicyList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalingpolicylist). - Required upon policy creation. - Either `policyNo` or `policyName` is required when editing a policy. | | `adjustmentTypeCode` | String | Required | Adjustment type code - See [getAdjustmentTypeList](/docs/en/compute-vautoscaling-autoscalinggroup-getadjustmenttypelist). | | `scalingAdjustment` | Integer | Required | Adjustment value - Specify according to the adjustment type. - `CHANG`: -2147483648 or more - `PRCNT`: -100 or more - `EXACT`: 0 or more - Up to 2147483647 can be entered. - `CHANG`/`PRCNT` decreases when a negative number is entered. | | `minAdjustmentStep` | Integer | Optional | Minimum adjustment range - 1-2147483647 - Change the number of server instances by the minimum adjustment range. - Valid only if `adjustmentTypeCode` is `PRCNT`. | | `coolDown` | Integer | Optional | Cooldown (second) - 0-2147483647 (default: 300) - Monitoring wait time for server readiness after scaling | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/putScalingPolicy ?regionCode=KR &autoScalingGroupNo=1***9 &policyName=pol1 &adjustmentTypeCode=CHANG &scalingAdjustment=1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `putScalingPolicyResponse` | Object | - | Response result - See [ScalingPolicyList](/docs/en/common-vapidatatype-scalingpolicylist). | | `putScalingPolicyResponse.requestId` | String | - | ID for the request - UUID format | | `putScalingPolicyResponse.returnCode` | String | - | Response code | | `putScalingPolicyResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "putScalingPolicyResponse": { "totalRows": 1, "scalingPolicyList": [ { "autoScalingGroupNo": "1***9", "policyNo": "3426", "policyName": "pol1", "adjustmentType": { "code": "CHANG", "codeName": "Capacity change amount" }, "scalingAdjustment": 1, "coolDown": 300 } ], "requestId": "ab7a4a24-****-****-****-c8b9bdf91c40", "returnCode": "0", "returnMessage": "success" } } ```